Description

Suite a la teleconf du 29/03/22, proposition au LESIA :
Salut a tous!
Comme discuté durant la teleconf, j'ai préparé un draft avec les nouveaux labels pour la TM_KCOEFF_DUMP.

Du coup, on avait aussi dit qu'on mettait les labels a jour pour la TC correspondante tant qu'a faire pour étre symétrique avec ceux
de la TM.

Pour rappel : dans I'implémentation actuelle le tableau complet de KCOEFF c'est 36 groupes de 32 floats. Thomas envoie un tableau
36 lignes x 32 colonnes a Diane qui construit les 36 TC afférentes.

Pour la nouvelle implémentation, afin de ne pas toucher a la TC, Thomas et Alexis utilisent pour la TC certains des floats a des fins
différentes en fonction du paramétre KCOEFF frequency. C'est un arrangement un peu complexe mais qui permettait de conserver
toute la partie TC identique.

Pas évident donc d'harmoniser les labels de ces champs qui sont soit utilisés soit SPARE.

Par contre, la teleconf de mardi nous a apporté un nouvel éclairage c6té contrainte IDB qui est de mettre des champs en SPARE
afin de conserver la structure et ne pas modifier I''DB (ce que I'on va faire pour la TM).

En faisant cela pour la TC actuelle, on pourrait réarranger le placement de nos floats afin de le simplifier sans toucher a I'lDB.
Cela implique :

- Cété LPP : une modif du FSW de LFR (qui va simplifier le traitement de la TC)

- Coté LESIA : Diane devrait générer 39 TC au lieu de 36 TC (Thomas lui enverrait un tableau 39x32 au lieu de 36x32)

Hormis la contrainte opérationnelle, pouvez-vous aussi nous confirmer que cela est possible c6té DPU? Les TC a exécuter
sont-elles stockées a bord ? Y aurait-il la place pour 3 TC de plus?

Si c'est bon pour vous on part la dessus sinon on laissera nos labels génériques tout moches.
Merci d'avance de votre aide

Bruno

Related issues:
Related to Feature #3905: La TM_KCOEFF_DUMP n'a plus la structure dédcrite da... Closed 24/11/2021

History

#1 - 31/03/2022 10:45 AM - bruno katra
- Related to Feature #3905: La TM_KCOEFF_DUMP n‘a plus la structure dédcrite dans I'lCD added

#2 - 07/04/2022 10:08 AM - bruno katra
- Status changed from New to In Progress

- Assignee set to bruno katra
Réponse Thomas et Philippe Plasson : cas déja étudié en octobre 2021, pas possible de passer a 39 TC sans impact sur IDB et FSW DPU...

On se limitera donc a un changement de label pour essayer de garder un peu de cohérence entre TM et TC. Le KCOEFF_FREQUENCY de la TC
(devenu BIN_INDEX dans la TM) ne change pas non plus, il reste un entier de 0 a 35 car pas pertinent de le passer en index des BIN puisque
certaines TC contiennent les valeurs de plusieurs BIN + Leeroy dit que cela impliquera un changement d'IDB...

#3 - 06/01/2023 09:58 AM - bruno katra

- File [RID-875] Mise a jour relative a la MAJ LFR.pdf added

Mail Leeroy 8/12/2022

Bonjour a tous,

Diane, pas de soucis pour produire les TC de chargement d'ici le 27 si le logiciel est livré le 20.

Pour ce qui est des modifications de I''DB, vous pouvez confirmer que ga porte au final uniquement sur les points que listé dans l'issues RID-875 dont
I'export est en piece jointe ?

LeeRoy

#4 - 06/01/2023 09:59 AM - bruno katra

- Assignee changed from bruno katra to Alexis Jeandet

Je suis en train de répondre a Leeroy, ils se sont carrément emmélé les pinceaux dans le point JIRA. Ce qui est méme bizzare c'est qu'ils parlent de
faire des modifs sur les champs de la TC alors qui'ls nous avaient dit que c'était impossible... Bref...

Juste une question : j'ai demandé la modif du min/max du champs de la TM_KCOEFF_DUMP suivant :

KCOEFF_FREQ devient KCOEFF_BIN_INDEX avec un min/max de 1/128 mais j'ai I'impression que le FSW numérote a partir de 0 donc ce serait
plutét 0/127 :

@Alexisd : tu confirmes?
Merci d'avance
Bruno

#5 - 06/01/2023 10:37 AM - Alexis Jeandet

bruno katra wrote in #note-4:

Je suis en train de répondre a Leeroy, ils se sont carrément emmélé les pinceaux dans le point JIRA. Ce qui est méme bizzare c'est qu'ils
parlent de faire des modifs sur les champs de la TC alors qui'ls nous avaient dit que c'était impossible... Bref...

Juste une question : j'ai demandé la modif du min/max du champs de la TM_KCOEFF_DUMP suivant :

KCOEFF_FREQ devient KCOEFF_BIN_INDEX avec un min/max de 1/128 mais j'ai l'impression que le FSW numérote a partir de 0 donc ce
serait plutét 0/127 :

@Alexisd : tu confirmes?
Merci d'avance

Bruno

Hello,

Je confirme que ¢a part de 0:
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight Software/blob/R3.3/src/tc_tm/tc_load _dump_parameters.c#L555-L558

#6 - 17/01/2023 02:21 PM - bruno katra

Finalement aprés 10 mois de discussions, le LESIA rejette toutes les demandes de modifs (telecon 13/01/2023), voir mail ci-dessous :

Salut a tous, nous avons une petite teleconf rapide avec LeeRoy et Philippe cet aprem pour refaire le point suite @ mon mail ci-dessous.

Concernant le changement des labels prévus niveau TM, Philippe estime aprés réflexion que cela est trop risqué en terme de régression IDB
comparé au gain d'information, il est vrai Iéger, que ces changements apporteraient. Il préconise plutét qu'on laisse comme c'est et que I'on fasse un
tableau explicite de correspondances 'labels IDB' <-> 'nouveaux labels/fonctions' dans le SUM. Du coup on ne touche aucun label.

Pour la valeur min/max du champs TM KCOEFF_FREQ, le risque est moins élevé mais comme il y a un flou si cette valeur est utilisée en aval (ROC,

ESA, ...), il y a toujours un risque de régression. Alexis et moi avons proposé comme solution alternative de recompiler le logiciel de vol LFR en cours
de validation pour remettre des valeurs qui sont dans l'intervalle actuel donc sans modifs IDB. Philippe et LeeRoy nous ont laissé évalué si cela était
https://github.com/LaboratoryOfPlasmaPhysics/LFR_Flight_Software/blob/R3.3/src/tc_tm/tc_load_dump_parameters.c#L555-L558

acceptable (car cela entraine une nouvelle version du FSW) ou si ils tentaient la mise a jour IDB.

Apres discussions avec Alexis : on opte pour la recompilation du FSW LFR avec des valeurs qui sont valides avec le min/max actuel de I''DB. On
prend la responsabilité de ne pas recommencer la campagne de tests intégralement car la modif est plus que minime : on remplace la variable
KCOEFF_FREQ (UINT_16) actuelle qui oscille entre 0 et 127 par : constante '0' pour les matrices de passage F0, constante '1' pour les matrices de
passage F1,constante '2' pour les matrices de passage F2. Je rejouerai quand méme les tests spécifiques sur les KCOEFF puisque c'est la seule
portion du code qui est touchée.

Diane et Xavier : pour ce qui est de la livraison prévue le 20/01, nous avons pris du retard suite aux diverses grippes hivernales et a un probléme de
régression pas sur LFR mais sur le banc de test! (les machines vieillissent ) Le probleme semble résolu depuis cette semaine et on a repris le
rythme de croisiére. Pour faire simple, a I'heure qu'il est et au chausse pied il est peut-étre possible de livrer le 20/01 mais on ne peut plus le garantir.
Quelles sont les options sans trop de contraintes pour vous ? Il me semble que I'ESA avait parlé d'une indisponibilité de leur cété courant février donc
en gros si on ne livre pas le 20/01 on partirait pour fin février/début mars? Si vous souhaitez qu'on en discute de vive voix lundi ou mardi, n'hésitez
pas.

Désolé de ce mail un peu long, beaucoup d'évenements ces quelques derniers jours!

Bon week-end & tous.

Bruno

#7 - 17/01/2023 02:21 PM - bruno katra

- Status changed from In Progress to Closed

Files
